package md

type CanalUserRelate struct {
	Id         int64  `json:"id"`
	ParentUid  int64  `json:"parent_uid"`
	Uid        int64  `json:"uid"`
	Level      int    `json:"level"`
	InviteTime string `json:"invite_time"`
}

type CanalUserRelateMessage[T any] struct {
	Data     []T      `json:"data"`
	Database string   `json:"database"`
	ES       int64    `json:"es"`
	ID       int64    `json:"id"`
	IsDdl    bool     `json:"isDdl"`
	Old      []T      `json:"old"`
	PkNames  []string `json:"pkNames"`
	Table    string   `json:"table"`
	TS       int64    `json:"ts"`
	Type     string   `json:"type"`
}
