package md

type CanalUserVirtualCoinFlow struct {
	Id           int64  `json:"id"`
	Uid          int64  `json:"uid"`
	CoinId       int    `json:"coin_id"`
	Direction    int    `json:"direction"`
	Title        string `json:"title"`
	Amount       string `json:"amount"`
	BeforeAmount string `json:"before_amount"`
	AfterAmount  string `json:"after_amount"`
	SysFee       string `json:"sys_fee"`
	TransferType int    `json:"transfer_type"`
}

type CanalUserVirtualCoinFlowMessage[T any] struct {
	Data     []T      `json:"data"`
	Database string   `json:"database"`
	ES       int64    `json:"es"`
	ID       int64    `json:"id"`
	IsDdl    bool     `json:"isDdl"`
	Old      []T      `json:"old"`
	PkNames  []string `json:"pkNames"`
	Table    string   `json:"table"`
	TS       int64    `json:"ts"`
	Type     string   `json:"type"`
}
